Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 721166 - brightness keys don't work with xfce4-power-manager
Summary: brightness keys don't work with xfce4-power-manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-13 22:08 UTC by Christoph Wickert
Modified: 2018-09-15 01:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1723146 (view as bug list)
Environment:
Last Closed: 2015-04-28 21:03:56 UTC
Type: ---


Attachments (Terms of Use)
pkexec complains about setuid root when running xfpm-power-backlight-helper (109.18 KB, text/plain)
2011-11-15 16:17 UTC, Maciek Borzecki
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1145034 0 unspecified CLOSED Brightness-Up key not recognised by power manager 2022-05-16 11:32:56 UTC

Internal Links: 1145034

Description Christoph Wickert 2011-07-13 22:08:12 UTC
Description of problem:
In F15 brightness keys don't work with xfce4-power-manager, however they work fine with gnome-power-manager.

Version-Release number of selected component (if applicable):
xfce4-power-manager-1.0.3-1.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. start xfce4-power-manager and make sure gnome-power-manager is not running/installed
2. try to change the display rightness with the function keys
  
Actual results:
nothing happens

Expected results:
brightness should change.

Additional info:
Confirmed by Paul in bug 720824 comment 4.

Comment 1 Christoph Wickert 2011-07-13 22:11:30 UTC
Paul, what laptop are you running? Mine is a Thinkpad X201 and there are two bugs in Xfce's bugtracker that could be related:
https://bugzilla.xfce.org/show_bug.cgi?id=7071 and 
https://bugzilla.xfce.org/show_bug.cgi?id=7541

Comment 2 Paul Smith 2011-07-13 22:32:19 UTC
Thanks, Christoph. Mine is a Compaq Presario CQ60.

Paul

Comment 3 Paul Smith 2011-07-17 13:28:24 UTC
Let me add that, without gnome-power-manager installed, trying to change the brightness through the xfce desktop manager produces no effects at all.

Paul

Comment 4 Fabien Archambault 2011-09-24 07:05:48 UTC
I have the same issue on a Dell XPS M1330.
With GNOME the [Fn]+[Up] changes the brightness. In Xfce it does not work.
I installed :
# yum list installed | grep xfce4
libxfce4ui.i686                4.8.0-4.fc15         @fedora                     
libxfce4util.i686              4.8.1-2.fc15         @fedora                     
xfce4-appfinder.i686           4.8.0-2.fc15         @fedora                     
xfce4-battery-plugin.i686      1.0.0-2.fc15         @fedora                     
xfce4-cpugraph-plugin.i686     1.0.1-3.fc15         @fedora                     
xfce4-datetime-plugin.i686     0.6.1-7.fc15         @fedora                     
xfce4-doc.noarch               4.8.2-1.fc15         @updates                    
xfce4-icon-theme.noarch        4.4.3-5.fc15         @fedora                     
xfce4-mixer.i686               4.8.0-1.fc15         @fedora                     
xfce4-netload-plugin.i686      1.0.0-3.fc15         @fedora                     
xfce4-panel.i686               4.8.5-1.fc15         @updates                    
xfce4-power-manager.i686       1.0.3-1.fc15         @fedora                     
xfce4-sensors-plugin.i686      1.0.0-3.fc15         @fedora                     
xfce4-session.i686             4.8.1-5.fc15         @updates                    
xfce4-session-engines.i686     4.8.1-5.fc15         @updates                    
xfce4-settings.i686            4.8.2-1.fc15         @updates                    
xfce4-weather-plugin.i686      0.7.4-2.fc15         @fedora

Also I added the plugin brightness in the panel and it changes the brightness but it is not very interested to always use the mouse...

Comment 5 Fabien Archambault 2011-11-10 12:37:05 UTC
Still the same in F16!

#  yum list installed | grep xfce4
libxfce4ui.i686                     4.8.0-4.fc16                     @anaconda-0
libxfce4util.i686                   4.8.2-1.fc16                     @anaconda-0
xfce4-appfinder.i686                4.8.0-2.fc15                     @fedora    
xfce4-battery-plugin.i686           1.0.0-2.fc15                     @fedora    
xfce4-cpufreq-plugin.i686           1.0.0-1.fc16                     @fedora    
xfce4-cpugraph-plugin.i686          1.0.1-3.fc15                     @fedora    
xfce4-datetime-plugin.i686          0.6.1-7.fc15                     @fedora    
xfce4-doc.noarch                    4.8.3-1.fc16                     @anaconda-0
xfce4-icon-theme.noarch             4.4.3-5.fc15                     @fedora    
xfce4-mixer.i686                    4.8.0-1.fc16                     @anaconda-0
xfce4-netload-plugin.i686           1.0.0-3.fc15                     @fedora    
xfce4-panel.i686                    4.8.6-3.fc16                     @anaconda-0
xfce4-power-manager.i686            1.0.10-1.fc16                    @anaconda-0
xfce4-sensors-plugin.i686           1.2.3-1.fc16                     @anaconda-0
xfce4-session.i686                  4.8.2-1.fc16                     @anaconda-0
xfce4-session-engines.i686          4.8.2-1.fc16                     @anaconda-0
xfce4-settings.i686                 4.8.3-1.fc16                     @anaconda-0
xfce4-weather-plugin.i686           0.7.4-2.fc15                     @fedora

Comment 6 Maciek Borzecki 2011-11-15 16:17:34 UTC
Created attachment 533789 [details]
pkexec complains about setuid root when running xfpm-power-backlight-helper

Comment 7 Maciek Borzecki 2011-11-15 16:18:14 UTC
It seems that brightness stopped working at all recently (I think it's not
related to the upgrade xfce power manager to
xfce4-power-manager-1.0.10-2.fc16.i686).

I've attached a strace log from xfce-power-manager. What's interesting is that
pkexec (policykit anyone??) complains about not being run with setuid root,
hence xfpm-power-backlight-helper --set-brightness fails.

Comment 8 Maciek Borzecki 2011-11-15 16:27:30 UTC
That's weird:
[maciek@corsair:~]$ stat /usr/bin/pkexec
  File: `/usr/bin/pkexec'
  Size: 18096     	Blocks: 40         IO Block: 4096   regular file
Device: 805h/2053d	Inode: 149085      Links: 1
Access: (4755/-rwsr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Context: system_u:object_r:bin_t:s0
Access: 2011-11-15 17:26:23.096734957 +0100
Modify: 2011-10-27 05:45:36.000000000 +0200
Change: 2011-11-15 17:24:50.778001721 +0100
 Birth: -

Comment 9 Maciek Borzecki 2011-11-15 18:43:40 UTC
running xfce4-power-manager --debug I found this:
TRACE[xfpm-button.c:114] xfpm_button_filter_x_events(): Key press: ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_DOWN)
** (xfce4-power-manager:2681): DEBUG: executed /usr/sbin/xfpm-power-backlight-helper --get-brightness; retval: 0
** (xfce4-power-manager:2681): DEBUG: xfpm_brightness_helper_get_level: get-brightness returned 7
The value for the SHELL variable was not found the /etc/shells file

This incident has been reported.

Apparently bash was not listed in /etc/shells. Possibly a recent bash update to bash.i686 0:4.2.10-5.fc16 is the culprit here. Readding /bin/bash to shells solved the problem for me.

Comment 10 Danila Beketov 2011-11-18 06:22:27 UTC
Confirmed on Fedora 16, but it worked before.
Kernel: 3.1.1-1.fc16.x86_64
Package: xfce4-power-manager-1.0.10-2.fc16.x86_64

** (xfce4-power-manager:2764): WARNING **: could not get output property
** (xfce4-power-manager:2764): DEBUG: executed /usr/sbin/xfpm-power-backlight-helper --get-max-brightness; retval: 0
** (xfce4-power-manager:2764): DEBUG: xfpm_brightness_setup_helper: get-max-brightness returned 10
** (xfce4-power-manager:2764): DEBUG: xrandr not available, brightness controlled by sysfs helper; min_level=0 max_level=10
** (xfce4-power-manager:2764): DEBUG: executed /usr/sbin/xfpm-power-backlight-helper --get-brightness; retval: 0
** (xfce4-power-manager:2764): DEBUG: xfpm_brightness_helper_get_level: get-brightness returned 5
TRACE[xfpm-backlight.c:324] xfpm_backlight_brightness_on_ac_settings_changed(): Alarm on ac timeout changed 9
TRACE[xfpm-backlight.c:345] xfpm_backlight_brightness_on_battery_settings_changed(): Alarm on battery timeout changed 120
TRACE[xfpm-button.c:114] xfpm_button_filter_x_events(): Key press: ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_DOWN)
** (xfce4-power-manager:2764): DEBUG: executed /usr/sbin/xfpm-power-backlight-helper --get-brightness; retval: 0
** (xfce4-power-manager:2764): DEBUG: xfpm_brightness_helper_get_level: get-brightness returned 5
The value for the SHELL variable was not found the /etc/shells file

This incident has been reported.
** (xfce4-power-manager:2764): DEBUG: executed pkexec /usr/sbin/xfpm-power-backlight-helper --set-brightness 4; retval: 32512

** (xfce4-power-manager:2764): WARNING **: (xfpm-brightness.c:458):xfpm_brightness_helper_down: runtime check failed: (xfpm_brightness_helper_set_level (brightness, set_level))
** (xfce4-power-manager:2764): DEBUG: executed /usr/sbin/xfpm-power-backlight-helper --get-brightness; retval: 0
** (xfce4-power-manager:2764): DEBUG: xfpm_brightness_helper_get_level: get-brightness returned 5

** (xfce4-power-manager:2764): WARNING **: xfpm_brightness_helper_down did not change the hw level to 4
TRACE[xfpm-manager.c:259] xfpm_manager_button_pressed_cb(): Received button press event: ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_DOWN)

Comment 11 Maciek Borzecki 2011-11-18 06:40:16 UTC
(In reply to comment #10)
> TRACE[xfpm-button.c:114] xfpm_button_filter_x_events(): Key press:
> ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_DOWN)
> ** (xfce4-power-manager:2764): DEBUG: executed
> /usr/sbin/xfpm-power-backlight-helper --get-brightness; retval: 0
> ** (xfce4-power-manager:2764): DEBUG: xfpm_brightness_helper_get_level:
> get-brightness returned 5
> The value for the SHELL variable was not found the /etc/shells file
> 
> This incident has been reported.
> ** (xfce4-power-manager:2764): DEBUG: executed pkexec
> /usr/sbin/xfpm-power-backlight-helper --set-brightness 4; retval: 32512

Your $SHELL is missing from /etc/shells as a result of https://bugzilla.redhat.com/show_bug.cgi?id=752827. Run yum reinstall bash

Comment 12 Danila Beketov 2011-11-18 07:40:45 UTC
(In reply to comment #11)
> (In reply to comment #10)
> > TRACE[xfpm-button.c:114] xfpm_button_filter_x_events(): Key press:
> > ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_DOWN)
> > ** (xfce4-power-manager:2764): DEBUG: executed
> > /usr/sbin/xfpm-power-backlight-helper --get-brightness; retval: 0
> > ** (xfce4-power-manager:2764): DEBUG: xfpm_brightness_helper_get_level:
> > get-brightness returned 5
> > The value for the SHELL variable was not found the /etc/shells file
> > 
> > This incident has been reported.
> > ** (xfce4-power-manager:2764): DEBUG: executed pkexec
> > /usr/sbin/xfpm-power-backlight-helper --set-brightness 4; retval: 32512
> 
> Your $SHELL is missing from /etc/shells as a result of
> https://bugzilla.redhat.com/show_bug.cgi?id=752827. Run yum reinstall bash

Thanks, it works now.

Comment 13 Christoph Wickert 2011-11-18 10:04:38 UTC
We are having two different bugs here: This bug was filed against F15 and there are some laptops that work and other don't. This has not changed in F16, but there was an additional problem (bug 752827) outside of this package. Basically all comments from comment 6 to 12 can be ignored, they have nothing to do with the bug that depends on the hardware.

Comment 14 Andy Bakun 2012-03-13 06:11:42 UTC
I'm on F16 and was having this problem.

I can confirm that my shell, /bin/bash (this is also root's shell), not being in /etc/shells is what causes xfce4-power-manager's support of changing the brightness with the function keys not to work while logged in (however, this didn't keep the function keys from changing the brightness at the gdm login window).  So bug 752827 seems to apply.

I think I originally discovered this by hacking around pkexec to spawn xfpm-power-backlight-helper from the command line and finally seeing a message about my shell not being in /etc/shells.  This message, while useful, is getting consumed somehow and isn't showing up in any log I could see, like stuff in /var/log and ~/.xsession-errors, thereby making this an extra annoying headscratcher.

Comment 15 Fedora End Of Life 2012-08-07 19:48:24 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Jonathan Underwood 2014-04-22 14:56:08 UTC
Reopening - I see this problem with F20 on a Samsung NC110 netbook.

Comment 17 Jonathan Underwood 2014-04-22 14:58:46 UTC
$ xfce4-power-manager --no-daemon --debug --dump
TRACE[xfpm-main.c:272] xfpm_start(): Starting the power manager
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for general-notification
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for lock-screen-suspend-hibernate
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for power-save-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for enable-cpu-freq-control
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for critical-power-level
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for show-brightness-popup
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for change-brightness-on-key-events
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for show-tray-icon
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for power-button-action
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for hibernate-button-action
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for sleep-button-action
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for brightness-level-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-enabled
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-on-ac-sleep
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-on-ac-off
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-on-battery-sleep
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-on-battery-off
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-sleep-mode
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for inactivity-on-ac
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for inactivity-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for inactivity-sleep-mode
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for brightness-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for spin-down-on-ac
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for spin-down-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for spin-down-on-ac-timeout
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for spin-down-on-battery-timeout

(xfce4-power-manager:7840): xfce4-power-manager-WARNING **: Unable to create proxy for 'org.freedesktop.ConsoleKit'
TRACE[xfpm-power.c:1097] xfpm_power_get_power_devices(): Power device detected at : /org/freedesktop/UPower/devices/line_power_ADP1
TRACE[xfpm-power.c:1044] xfpm_power_add_device():  device added: ((XfpmDeviceType) XFPM_DEVICE_TYPE_LINE_POWER)
TRACE[xfpm-power.c:1097] xfpm_power_get_power_devices(): Power device detected at : /org/freedesktop/UPower/devices/battery_BAT1
TRACE[xfpm-power.c:1044] xfpm_power_add_device():  device added: ((XfpmDeviceType) XFPM_DEVICE_TYPE_BATTERY)
TRACE[xfpm-power.c:1055] xfpm_power_add_device(): Battery device detected at : /org/freedesktop/UPower/devices/battery_BAT1: ((XfpmDeviceType) XFPM_DEVICE_TYPE_BATTERY)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 124 : ((XfpmButtonKey) BUTTON_POWER_OFF)

(xfce4-power-manager:7840): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode

TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 213 : ((XfpmButtonKey) BUTTON_HIBERNATE)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 150 : ((XfpmButtonKey) BUTTON_SLEEP)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 233 : ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_UP)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 232 : ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_DOWN)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 244 : ((XfpmButtonKey) BUTTON_BATTERY)
TRACE[xfpm-battery.c:150] xfpm_battery_refresh_visible(): visible=TRUE: ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_PRESENT)
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 1
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_PRESENT)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon
TRACE[xfpm-polkit.c:368] xfpm_polkit_init_data(): Using unix session polkit subject
TRACE[xfpm-polkit.c:455] xfpm_polkit_check_auth_intern(): Action=org.freedesktop.login1.suspend is authorized=TRUE
TRACE[xfpm-polkit.c:455] xfpm_polkit_check_auth_intern(): Action=org.freedesktop.login1.hibernate is authorized=TRUE
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_PRESENT)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon
TRACE[xfpm-polkit.c:455] xfpm_polkit_check_auth_intern(): Action=org.freedesktop.udisks.drive-set-spindown is authorized=TRUE
TRACE[xfpm-disks.c:170] xfpm_disks_get_is_auth_to_spin(): Is auth to spin down disks : 1
TRACE[xfpm-disks.c:147] xfpm_disks_set_spin_timeouts(): On Battery=0 spin_down_enabled=0 timeout=800

TRACE[xfpm-backlight.c:324] xfpm_backlight_brightness_on_ac_settings_changed(): Alarm on ac timeout changed 90
TRACE[xfpm-backlight.c:345] xfpm_backlight_brightness_on_battery_settings_changed(): Alarm on battery timeout changed 120
---------------------------------------------------
       Xfce power manager version 1.2.0
With policykit support
With network manager support
With DPMS support
---------------------------------------------------
Can suspend: True
Can hibernate: True
Can spin down hard disks: True
Authorised to suspend: True
Authorised to hibernate: True
Authorised to shutdown: False
Authorised to spin down hard disks: True
Has battery: True
Has brightness panel: True
Has power button: True
Has hibernate button: True
Has sleep button: True
Has LID: True
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 1
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_PRESENT)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon


Now if I press the brightness up key :

TRACE[xfpm-polkit.c:238] xfpm_polkit_free_data(): Destroying Polkit data
TRACE[xfpm-button.c:114] xfpm_button_filter_x_events(): Key press: ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_UP)
TRACE[xfpm-backlight.c:219] xfpm_backlight_show(): Level 7
TRACE[xfpm-manager.c:259] xfpm_manager_button_pressed_cb(): Received button press event: ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_UP)
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 1
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_PRESENT)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon

And if I press the brightness down key:

TRACE[xfpm-button.c:114] xfpm_button_filter_x_events(): Key press: ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_DOWN)

** (xfce4-power-manager:7840): WARNING **: xfpm_brightness_xrand_down did not change the hw level to 6
TRACE[xfpm-manager.c:259] xfpm_manager_button_pressed_cb(): Received button press event: ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_DOWN)
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 1
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_PRESENT)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon

Comment 18 Raphael Groner 2014-09-11 21:09:18 UTC
Works for me at a Lenovo Ideapad G505s.

xfce4-power-manager-1.3.2-1.fc20.x86_64
kernel-3.16.1-300.fc21.x86_64

$ grep -c bash /etc/shells
2

Comment 19 Fedora Update System 2014-10-02 03:13:51 UTC
xfce4-power-manager-1.4.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfce4-power-manager-1.4.1-3.fc21

Comment 20 Fedora Update System 2014-10-10 16:09:29 UTC
xfce4-power-manager-1.4.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.